%define pkgver %(echo %version |tr _ -)
Name:          aircrack-ng
Version:       1.7
Release:       1mamba
Summary:       An 802.11 WEP and WPA-PSK keys cracking program that can recover keys and more
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.aircrack-ng.org/
Source:        http://download.aircrack-ng.org/aircrack-ng-%{pkgver}.tar.gz
License:       GPL, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbsd-devel
BuildRequires: libgcc
BuildRequires: libhwloc-devel
BuildRequires: libnl-devel
BuildRequires: libopenssl-devel
BuildRequires: libpcap-devel
BuildRequires: libpcre-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Aircrack-ng is an 802.11 WEP and WPA-PSK keys cracking program that can recover keys once enough data packets have been captured. It implements the standard FMS attack along with some optimizations like KoreK attacks, as well as the all-new PTW attack, thus making the attack much faster compared to other WEP cracking tools.
In fact, Aircrack-ng is a set of tools for auditing wireless networks.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libaircrack-osdep-*.so
%{_libdir}/libaircrack-ce-wpa-*.so
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/aircrack-ng
%{_includedir}/aircrack-ng/*
%{_libdir}/libaircrack-osdep.la
%{_libdir}/libaircrack-osdep.so
%{_libdir}/libaircrack-ce-wpa.la
%{_libdir}/libaircrack-ce-wpa.so
%ifarch x86_64 %{ix86}
%{_libdir}/libaircrack-ce-wpa-x86-*.la
%endif

%changelog
* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Fri Feb 07 2020 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Sun Oct 14 2018 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Tue Aug 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2_beta1-1mamba
- package created by silvan using the webbuild interface
